# \hhu\z\requestsMailRequest

Representation of a mail-request.

## Summary

Methods
Properties
Constants
getParam()
getParams()
addParam()
addParams()
clearParams()
setLinker()
getLinker()
No public properties found
No constants found
No protected methods found
$params
N/A
No private methods found
$linker
N/A

File
  app/requests/MailRequest.inc
Package
  Default
Class hierarchy
  \nre\core\Request
  \hhu\z\requests\MailRequest

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $params

    $params : array

Passed parameters

#### Type

array

#

Inherited from
  \nre\core\Request

## Tags

None found

### $linker

    $linker : \nre\core\Linker

Linker

#### Type

\nre\core\Linker

#

## Tags

None found

## Methods

### getParam()

    getParam(integer  $index, string  $defaultIndex = null) : string

Get a parameter.

#### Parameters

integer | $index | Index of parameter
string | $defaultIndex | Index of default configuration value for this parameter

#### Returns

string —

Value of parameter

#

Inherited from
  \nre\core\Request

## Tags

None found

### getParams()

    getParams(integer  $offset) : array

Get all parameters from index on.

#### Parameters

integer | $offset | Offset-index

#### Returns

array —

Parameter values

#

Inherited from
  \nre\core\Request

## Tags

None found

### addParam()

    addParam(mixed  $value)

Add a parameter.

#### Parameters

mixed | $value | Value of parameter

#

## Tags

None found

### addParams()

    addParams(mixed  $value1)

Add multiple parameters.

#### Parameters

mixed | $value1 | Value of first parameter

#

## Tags

None found

### clearParams()

    clearParams(integer  $offset)

Delete all stored parameters (from offset on).

#### Parameters

integer | $offset | Offset-index

#

## Tags

None found

### setLinker()

    setLinker(\hhu\z\requests\Linker  $linker)

Set linker instance for creating links.

#### Parameters

\hhu\z\requests\Linker | $linker | Linker instance for creating links

#

## Tags

None found

### getLinker()

    getLinker() : \nre\core\Linker

Get linker instance for creating links.

#### Returns

\nre\core\Linker —

Linker instance for creating links

#

## Tags

None found

### MailRequest.inc